Debian Bug report logs - #674100
apt: apt-cdrom add generates broken cdroms.list

version graph

Package: apt; Maintainer for apt is APT Development Team <deity@lists.debian.org>; Source for apt is src:apt.

Reported by: Filipus Klutiero <chealer@gmail.com>

Date: Wed, 23 May 2012 02:51:02 UTC

Severity: important

Tags: d-i, patch

Merged with 673250, 673997, 674488, 677168

Found in versions apt/0.9.5, apt/0.9.3

Fixed in version apt/0.9.6

Done: Michael Vogt <mvo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-boot@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#674100; Package apt. (Wed, 23 May 2012 02:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-boot@lists.debian.org, APT Development Team <deity@lists.debian.org>. (Wed, 23 May 2012 02:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: submit@bugs.debian.org
Subject: [apt] apt-cdrom add generates broken cdroms.list
Date: Tue, 22 May 2012 22:47:13 -0400
[Message part 1 (text/plain, inline)]
Package: apt
Version: 0.9.5
Severity: grave
X-Debbugs-Cc: 673997@bugs.debian.org
X-Debbugs-Cc: debian-boot@lists.debian.org

apt-cdrom add; appears to be broken with APT 0.9. Although it can return 
success, it seems to only generate broken /var/lib/apt/cdroms.list 
files. Instead of having the normal entries:
> CD::b0d93fa9810fff28368b1b75f8006604-2 "Debian GNU/Linux testing 
> _Wheezy_ - Official Snapshot i386 NETINST Binary-1 20120322-15:25";
> CD::b0d93fa9810fff28368b1b75f8006604-2::Label "Debian GNU/Linux 
> testing _Wheezy_ - Official Snapshot i386 NETINST Binary-1 
> 20120322-15:25";
the generated files contain APT configuration. I'm attaching my current 
cdroms.list.

I first experienced this bug with apt 0.9.3. The bug persists in 0.9.5. 
This was discovered by Miguel Figueiredo <elmig@debianpt.org>.

This has an effect on the installer. I believe apt-cdrom add; is run 
when setting up apt. When the install media contains the base system 
(which is the case for netinsts, but not for business cards), the base 
system's installation relies on the iso. This causes APT to fail to 
install the base system. Specifically, base-installer fails to install 
locales, then busybox, which prevents Linux's installation.
I experienced this issue on 2 PCs from the 2 I tested (one laptop, one 
desktop). I tried i386 netinsts from May 20, 21 and 22 and had the same 
problem with all, whether I burned them or put them on a USB key.
Miguel Figueiredo tried to reproduce with a May 22 amd64 netinst and 
succeeded at the first try. This was first reported in #673997.
This affects daily images, which now include apt 0.9, and - I guess - 
weeklies. This affects i386, amd64 and presumably all Linux 
architectures. I imagine this affects all iso-based installation methods 
except business cards. This makes affected images either unusable or 
non-trivial to use. Workarounds include using the squeeze installer, d-i 
wheezy alpha 1 or business cards.
I'm attaching the log of one of the failed installation attempts.

I have no idea what causes apt-cdrom to break, although the changelog 
mentions several cdrom-related changes in 0.9.

FWIW, apt-cdrom add couldn't be used several times. If I remove 
cdroms.list* then run apt-cdrom add a first time, a broken cdroms.list 
is created. The second time, a cdroms.list~ is left behind. The third 
time, a cdroms.list.new is left behind and apt-cdrom add fails. I don't 
know if this is related to the reported bug.

Miguel Figueiredo should be credited for his precious help testing and 
debugging d-i.

--- System information. ---
Architecture: i386
Kernel: Linux 3.2.0-2-amd64

Debian Release: wheezy/sid
990 testing security.debian.org
990 testing debian.mirror.iweb.ca
500 unstable debian.mirror.iweb.ca
1 experimental debian.mirror.iweb.ca

--- Package information. ---
Depends (Version) | Installed
=======================================-+-=============
libapt-pkg4.12 (>= 0.9.5) | 0.9.5
libc6 (>= 2.4) | 2.13-32
libgcc1 (>= 1:4.1.1) | 1:4.7.0-8
libstdc++6 (>= 4.6) | 4.7.0-8
debian-archive-keyring | 2012.1
gnupg | 1.4.12-4


Package's Recommends field is empty.

Suggests (Version) | Installed
=========================-+-===========
aptitude | 0.6.5-1
OR synaptic | 0.75.10
OR wajig |
dpkg-dev | 1.16.3
apt-doc |
xz-utils | 5.1.1alpha+20110809-3
python-apt | 0.8.4



--- Output from package bug script ---
[cdroms.list (text/plain, attachment)]
[syslog (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#674100; Package apt. (Wed, 23 May 2012 07:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Figueiredo <elmig@debianpt.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 23 May 2012 07:03:06 GMT) Full text and rfc822 format available.

Message #10 received at 674100@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: 674100@bugs.debian.org
Cc: Filipus Klutiero <chealer@gmail.com>
Subject: Re: Bug#674100: [apt] apt-cdrom add generates broken cdroms.list
Date: Wed, 23 May 2012 08:00:43 +0100
On 23-05-2012 03:47, Filipus Klutiero wrote:

[...]

> I first experienced this bug with apt 0.9.3. The bug persists in 0.9.5.

The installer image that i tested yesterday uses:

May 22 21:58:18 debootstrap: Unpacking libapt-pkg4.12:amd64 (from 
.../libapt-pkg4.12_0.9.3_amd64.deb) ...

(from installer's log)

-- 
Melhores cumprimentos/Best regards,

Miguel Figueiredo




Marked as found in versions apt/0.9.3. Request was from Touko Korpela <touko.korpela@iki.fi> to control@bugs.debian.org. (Wed, 23 May 2012 17:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#674100; Package apt. (Tue, 05 Jun 2012 21:24:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Figueiredo <elmig@debianpt.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Tue, 05 Jun 2012 21:24:37 GMT) Full text and rfc822 format available.

Message #17 received at 674100@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: Максимов Никита Игоревич <n.maksimov@insis.ru>, 673997@bugs.debian.org, Filipus Klutiero <chealer@gmail.com>, 674100@bugs.debian.org
Subject: apt-cdrom issue now fixed
Date: Tue, 05 Jun 2012 22:09:29 +0100
This is now fixed.
My guess this was fixed with apt 0.9.5.1.

-- 
Melhores cumprimentos/Best regards,

Miguel Figueiredo




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#674100; Package apt. (Tue, 05 Jun 2012 22:16:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Tue, 05 Jun 2012 22:16:34 GMT) Full text and rfc822 format available.

Message #22 received at 674100@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: Miguel Figueiredo <elmig@debianpt.org>
Cc: Максимов Никита Игоревич <n.maksimov@insis.ru>, 673997@bugs.debian.org, 674100@bugs.debian.org, 674488@bugs.debian.org
Subject: Re: apt-cdrom issue now fixed
Date: Tue, 05 Jun 2012 17:36:23 -0400
On 2012-06-05 17:09, Miguel Figueiredo wrote:
> This is now fixed.
> My guess this was fixed with apt 0.9.5.1.
>

It's still broken here (testing).




Severity set to 'important' from 'grave' Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Wed, 06 Jun 2012 02:45:03 GMT) Full text and rfc822 format available.

Bug 674100 cloned as bug 676302 Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Wed, 06 Jun 2012 02:45:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'apt: apt-cdrom add generates broken cdroms.list' from '[apt] apt-cdrom add generates broken cdroms.list' Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Wed, 06 Jun 2012 02:45:04 GMT) Full text and rfc822 format available.

Added tag(s) d-i. Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Wed, 06 Jun 2012 02:45:09 GMT) Full text and rfc822 format available.

Merged 673250 673997 674100 674488 Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Wed, 06 Jun 2012 02:45:15 GMT) Full text and rfc822 format available.

Added indication that 674100 affects installation-reports, simple-cdd, and cdrom Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Wed, 06 Jun 2012 02:45:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#674100; Package apt. (Wed, 06 Jun 2012 04:15:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Milan Kupcevic <milan@physics.harvard.edu>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 06 Jun 2012 04:15:18 GMT) Full text and rfc822 format available.

Message #39 received at 674100@bugs.debian.org (full text, mbox):

From: Milan Kupcevic <milan@physics.harvard.edu>
To: 674100@bugs.debian.org, submit@bugs.debian.org
Subject: apt: apt-cdrom add generates broken cdroms.list
Date: Tue, 05 Jun 2012 23:47:45 -0400
[Message part 1 (text/plain, inline)]
tags 674100 patch
thanks


The 'apt-cdrom add generates broken /var/lib/apt/cdroms.list' issue was 
introduced in apt version 0.9.3 with a change that replaced generation 
of proper cdroms.list with a config dump. This made it impossible to use 
cd/dvd repository and broke debian installation from cd/dvd media.

Reverting the change and recompiling the package brings apt-cdrom add 
functionality back.

Patch reverting the puzzling change is attached.


  * apt-pkg/cdrom.cc:
    - Revert "use Dump() to generate the configuration output" change
      introduced in release 0.9.3. (Closes: #674100)

[apt-cdrom.cc-revert-2198.diff (text/x-patch, attachment)]

Added tag(s) patch. Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Wed, 06 Jun 2012 04:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#674100; Package apt. (Wed, 06 Jun 2012 19:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 06 Jun 2012 19:42:09 GMT) Full text and rfc822 format available.

Message #46 received at 674100@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: Miguel Figueiredo <elmig@debianpt.org>
Cc: 674100@bugs.debian.org
Subject: apt-cdrom issue NOT fixed (was Re: apt-cdrom issue now fixed)
Date: Wed, 06 Jun 2012 15:40:29 -0400
On 2012-06-06 15:14, Miguel Figueiredo wrote:
> Hi,
>
> On 05-06-2012 23:31, Filipus Klutiero wrote:
> [...]
>
>>>
>> I didn't test the dailies, only apt-cdrom add; directly on an installed
>> system. What installation media did you use?
>
> Jun  5 21:33 debian-testing-amd64-businesscard.iso
> Jun  6 19:54 debian-testing-amd64-netinst.iso
>
> Still broken with netinst.
> The installation only works with the businesscard image.
>

Thanks. Indeed, business cards are not affected as they do not scan isos.




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#674100; Package apt. (Thu, 07 Jun 2012 11:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Kalnischkies <kalnischkies+debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Thu, 07 Jun 2012 11:30:09 GMT) Full text and rfc822 format available.

Message #51 received at 674100@bugs.debian.org (full text, mbox):

From: David Kalnischkies <kalnischkies+debian@gmail.com>
To: Milan Kupcevic <milan@physics.harvard.edu>, 674100@bugs.debian.org
Subject: Re: Bug#674100: apt: apt-cdrom add generates broken cdroms.list
Date: Thu, 7 Jun 2012 13:27:38 +0200
Hi Milan Kupcevic,

On Wed, Jun 6, 2012 at 5:47 AM, Milan Kupcevic
<milan@physics.harvard.edu> wrote:
> Reverting the change and recompiling the package brings apt-cdrom add
> functionality back.
>
> Patch reverting the puzzling change is attached.

Thanks for the patch, but i would prefer if we are not reverting this
change as this duplication of code is very annoying and
just asks for silly mistakes (like this one).

I am a bit low on time and lack the testing environment currently
(i don't even have a cd handy at the moment…), so could you maybe
try if the following change would be correct:

-   _config->Dump(Out, NULL, "%f \"%v\";\n", false);
+   Cnf.Dump(Out, NULL, "%f \"%v\";\n", false);


Thanks again and best regards

David Kalnischkies




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#674100; Package apt. (Thu, 07 Jun 2012 21:33:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Milan Kupcevic <milan@physics.harvard.edu>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Thu, 07 Jun 2012 21:33:15 GMT) Full text and rfc822 format available.

Message #56 received at 674100@bugs.debian.org (full text, mbox):

From: Milan Kupcevic <milan@physics.harvard.edu>
To: David Kalnischkies <kalnischkies+debian@gmail.com>, 674100@bugs.debian.org
Subject: Re: Bug#674100: apt: apt-cdrom add generates broken cdroms.list
Date: Thu, 07 Jun 2012 17:29:21 -0400
David Kalnischkies wrote:
> Hi Milan Kupcevic,
>
> On Wed, Jun 6, 2012 at 5:47 AM, Milan Kupcevic
> <milan@physics.harvard.edu> wrote:
>   
>> Reverting the change and recompiling the package brings apt-cdrom add
>> functionality back.
>>
>> Patch reverting the puzzling change is attached.
>>     
>
> Thanks for the patch, but i would prefer if we are not reverting this
> change as this duplication of code is very annoying and
> just asks for silly mistakes (like this one).
>
> I am a bit low on time and lack the testing environment currently
> (i don't even have a cd handy at the momentÂ…), so could you maybe
> try if the following change would be correct:
>
> -   _config->Dump(Out, NULL, "%f \"%v\";\n", false);
> +   Cnf.Dump(Out, NULL, "%f \"%v\";\n", false);
>   

I just tested it. This solution works.

M






Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Mon, 11 Jun 2012 15:39:08 GMT) Full text and rfc822 format available.

Notification sent to Filipus Klutiero <chealer@gmail.com>:
Bug acknowledged by developer. (Mon, 11 Jun 2012 15:39:08 GMT) Full text and rfc822 format available.

Message #61 received at 674100-close@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: 674100-close@bugs.debian.org
Subject: Bug#674100: fixed in apt 0.9.6
Date: Mon, 11 Jun 2012 15:35:22 +0000
Source: apt
Source-Version: 0.9.6

We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

apt-doc_0.9.6_all.deb
  to main/a/apt/apt-doc_0.9.6_all.deb
apt-transport-https_0.9.6_amd64.deb
  to main/a/apt/apt-transport-https_0.9.6_amd64.deb
apt-utils_0.9.6_amd64.deb
  to main/a/apt/apt-utils_0.9.6_amd64.deb
apt_0.9.6.dsc
  to main/a/apt/apt_0.9.6.dsc
apt_0.9.6.tar.gz
  to main/a/apt/apt_0.9.6.tar.gz
apt_0.9.6_amd64.deb
  to main/a/apt/apt_0.9.6_amd64.deb
libapt-inst1.5_0.9.6_amd64.deb
  to main/a/apt/libapt-inst1.5_0.9.6_amd64.deb
libapt-pkg-dev_0.9.6_amd64.deb
  to main/a/apt/libapt-pkg-dev_0.9.6_amd64.deb
libapt-pkg-doc_0.9.6_all.deb
  to main/a/apt/libapt-pkg-doc_0.9.6_all.deb
libapt-pkg4.12_0.9.6_amd64.deb
  to main/a/apt/libapt-pkg4.12_0.9.6_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 674100@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Vogt <mvo@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 11 Jun 2012 16:21:53 +0200
Source: apt
Binary: apt libapt-pkg4.12 libapt-inst1.5 apt-doc libapt-pkg-dev libapt-pkg-doc apt-utils apt-transport-https
Architecture: source all amd64
Version: 0.9.6
Distribution: unstable
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Michael Vogt <mvo@debian.org>
Description: 
 apt        - commandline package manager
 apt-doc    - documentation for APT
 apt-transport-https - https download transport for APT
 apt-utils  - package managment related utility programs
 libapt-inst1.5 - deb package format runtime library
 libapt-pkg-dev - development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - documentation for APT development
 libapt-pkg4.12 - package managment runtime library
Closes: 674100 674690 674897 675449 675603 675605 675827 676331
Changes: 
 apt (0.9.6) unstable; urgency=low
 .
   [ David Kalnischkies ]
   * apt-pkg/cdrom.cc:
     - fix regression from 0.9.3 which dumped the main configuration
       _config instead of the cdrom settings (Cnf) as identified and
       tested by Milan Kupcevic, thanks! (Closes: #674100)
   * cmdline/apt-get.cc:
     - do not show 'list of broken packages' header if no package
       is broken as it happens e.g. for external resolver errors
     - print URIs for all changelogs in case of --print-uris,
       thanks to Daniel Hartwig for the patch! (Closes: #674897)
     - show 'bzr branch' as 'bzr get' is deprecated (LP: #1011032)
     - check build-dep candidate if install is forbidden
   * debian/apt-utils.links:
     - the internal resolver 'apt' is now directly installed in
       /usr/lib/apt/solvers, so don't instruct dh to create a broken link
   * doc/apt-verbatim.ent:
     - APT doesn't belong to the product 'Linux', so use 'APT' instead
       as after all APT is a big suite of applications
   * doc/examples/sources.list:
     - use the codename instead of 'stable' in the examples sources.list
       as we do in the manpage and as the debian-installer does
   * doc/apt-get.8.xml:
     - use apt-utils as package example instead of libc6
   * apt-pkg/contrib/cmdline.cc:
     - apply patch from Daniel Hartwig to fix a segfault in case
       the LongOpt is empty (Closes: #676331)
     - fix segfault with empty LongOpt in --no-* branch
   * ftparchive/apt-ftparchive.cc:
     - default to putting the Contents-* files below $(SECTION) as apt-file
       expects them there - thanks Martin-Éric Racine! (Closes: #675827)
   * apt-pkg/deb/deblistparser.cc:
     - set pkgCacheGen::Essential to "all" again (Closes: #675449)
   * apt-pkg/algorithms.cc:
     - force install only for one essential package out of a group
   * apt-pkg/aptconfiguration.cc:
     - if APT::Languages=none save "none" in allCodes so that the detected
       configuration is cached as intended (Closes: #674690, LP: #1004947)
   * apt-pkg/cacheiterators.h:
     - add an IsMultiArchImplicit() method for Dep- and PrvIterator
 .
   [ Justin B Rye ]
   * doc/apt-cdrom.8.xml:
     - replace CDROM with the proper CD-ROM in text
     - correct disc vs. disk issues
   * doc/apt-extracttemplates.1.xml:
     - debconf is not DebConf
   * doc/apt-get.8.xml:
     - move dselect-upgrade below dist-upgrade
     - review and fix spelling issues
   * doc/apt-ftparchive.8.xml, doc/apt-config.8.xml,
     doc/apt-key.8.xml, doc/apt-mark.8.xml,
     doc/apt_preferences.5.xml, doc/apt-secure.8.xml,
     doc/apt-sortpkgs.1.xml, sources.list.5.xml:
     - review and fix typo, grammar and style issues
   * doc/apt.conf.5.xml:
     - review and fix typo, grammar and style issues
     - rephrase APT::Immediate-Configuration and many others
 .
   [ Sebastian Heinlein ]
   * cmdline/apt-key:
     - do not hardcode /etc but use Dir::Etc instead
 .
   [ Robert Luberda ]
   * Polish manpage translation update (Closes: #675603)
   * doc/apt-mark.8.xml:
     - in hold, the option name is --file not --filename
 .
   [ Christian Perrier ]
   * French program and manpage translation update
   * Danish program translation by Joe Hansen. Closes: #675605
 .
   [ Thibaut Girka ]
   * cmdline/apt-get.cc:
     - complain correctly about :any build-dep on M-A:none packages
   * apt-pkg/deb/deblistparser.cc:
     - add support for arch-specific qualifiers in dependencies
Checksums-Sha1: 
 f89342513bbee6e96934a58cd60ce1b31f99e1d3 1683 apt_0.9.6.dsc
 50a08b7d405cb095bf4946701816ca9a56e16660 3400870 apt_0.9.6.tar.gz
 c6e3f9bdf7414b1faf4c9a000fc29a2b4232ce03 257998 apt-doc_0.9.6_all.deb
 de38ab554efbde8cac64cbc1d7fbd6860eaa5fcb 945284 libapt-pkg-doc_0.9.6_all.deb
 e2baf85c2cdf88fa6ad1ceac49a3514c7c0a5a0e 871942 libapt-pkg4.12_0.9.6_amd64.deb
 14139c3a372250d04dc00d158f6933d60c36f0d5 161472 libapt-inst1.5_0.9.6_amd64.deb
 adb85459ecaaac1e8f9b07bb488b0e21d3ca6393 1035092 apt_0.9.6_amd64.deb
 e8436a2b858784f915adbe9afbd736e01c55a2b9 182146 libapt-pkg-dev_0.9.6_amd64.deb
 daa6140df80209dc4ce5fa0da878dacd2f8f2cdb 369674 apt-utils_0.9.6_amd64.deb
 a6c5e390f95e8171a5b52cbc61f9fb77064fd8c5 104242 apt-transport-https_0.9.6_amd64.deb
Checksums-Sha256: 
 4901d8a1e3605c56f6647f7e2ab8390ed697072ecff05222f298e204c24043c9 1683 apt_0.9.6.dsc
 82697f55b9cf7bd364c6b3e2d2ffadfa44f41a9de6864890bf6ef85af3c6a61e 3400870 apt_0.9.6.tar.gz
 0dc87ed8c7e16ee08ccb44dbeaac2b1040b844e898fe8a01391d594fd7692658 257998 apt-doc_0.9.6_all.deb
 b51939784d892bae45bbc8bf5e98f6bdf3d5f32d0e410d9ee1e58809acd44be7 945284 libapt-pkg-doc_0.9.6_all.deb
 942e0ceece166b0aa8791bb32be65af951c7ead48f14fc764a05e1869f38e924 871942 libapt-pkg4.12_0.9.6_amd64.deb
 87074a7794d4ae5a962301075111b60478d9ee1342b794f2d500572fd79e58a5 161472 libapt-inst1.5_0.9.6_amd64.deb
 e4bf4acb4333a010f8e51a491a68a566d68929fd7ce5ee65d8fd0ef9158ad86c 1035092 apt_0.9.6_amd64.deb
 726b6ef3f7c378fe3e3834c2c9b47fd5dcef44e577947e825ca6b46d4e45c84e 182146 libapt-pkg-dev_0.9.6_amd64.deb
 9d1be87ffb8f05632122c9937ff020fc2873444db288d4b58d4fc5493a779728 369674 apt-utils_0.9.6_amd64.deb
 44a2abd2daf64b2233283212dbf467864b3ae097f0812b1529cbf1b50a7aecc1 104242 apt-transport-https_0.9.6_amd64.deb
Files: 
 bb8ad57afb174d569af4268c2420b8d2 1683 admin important apt_0.9.6.dsc
 fd1db8b13b0c03d62abcb1be6638c4ff 3400870 admin important apt_0.9.6.tar.gz
 a01b1d7c350c8ec0f7d473e4eccdfa90 257998 doc optional apt-doc_0.9.6_all.deb
 02d7b149603bc8c2501677b48848e71d 945284 doc optional libapt-pkg-doc_0.9.6_all.deb
 8378138f6ca21b9c238804b1a6050fb8 871942 admin important libapt-pkg4.12_0.9.6_amd64.deb
 482eca79c95e0de257ef308494a3eefd 161472 admin important libapt-inst1.5_0.9.6_amd64.deb
 4dba9aae0b6059de7f8faa93a73748a2 1035092 admin important apt_0.9.6_amd64.deb
 f343ff0f2cffcf80dd39208b349a8c62 182146 libdevel optional libapt-pkg-dev_0.9.6_amd64.deb
 73642a31a5f9630cfe87fcf18d1c8cf8 369674 admin important apt-utils_0.9.6_amd64.deb
 d8752e0a3c12931616a3d98339bdc56c 104242 admin optional apt-transport-https_0.9.6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/WARMACgkQliSD4VZixzRKwgCdEzRr7Un7e7rrgh+dEIXmSWQz
7jUAnjitquxnPS5V6EIMi2YVulYVitc+
=21oE
-----END PGP SIGNATURE-----





Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Mon, 11 Jun 2012 15:39:09 GMT) Full text and rfc822 format available.

Notification sent to Peter Zankov <pzankov@yandex.ru>:
Bug acknowledged by developer. (Mon, 11 Jun 2012 15:39:09 GMT) Full text and rfc822 format available.

Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Mon, 11 Jun 2012 15:39:10 GMT) Full text and rfc822 format available.

Notification sent to Максимов Никита Игоревич <n.maksimov@insis.ru>:
Bug acknowledged by developer. (Mon, 11 Jun 2012 15:39:10 GMT) Full text and rfc822 format available.

Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Mon, 11 Jun 2012 15:39:10 GMT) Full text and rfc822 format available.

Notification sent to Bob Bib <bobbibmpn@mail.ru>:
Bug acknowledged by developer. (Mon, 11 Jun 2012 15:39:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#674100; Package apt. (Tue, 12 Jun 2012 00:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cia Watson <ciamarie@my180.net>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Tue, 12 Jun 2012 00:09:03 GMT) Full text and rfc822 format available.

Message #81 received at 674100@bugs.debian.org (full text, mbox):

From: Cia Watson <ciamarie@my180.net>
To: 674100@bugs.debian.org
Subject: bug 674100 fix on weekly cd's from today (11th june)?
Date: Mon, 11 Jun 2012 16:58:54 -0700
[Message part 1 (text/plain, inline)]
I just found this bug after attempting to install from a weekly build cd
dated today, 11 June 2012. I had the same issue 2 weeks ago, and installed
something else that I now want to replace. It looks like the bug report was
also closed today. Was the bug fix supposed to be included in the
weekly build?

If so, it's still failing saying it's 'unable to install busybox'. At least
this time I tried it on a virtual machine first.

I'm not sure if it needs to be re-opened...  thanks!

Cia W.
[signature.asc (application/pgp-signature, attachment)]

Merged 673250 673997 674100 674488 677168 Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Tue, 12 Jun 2012 02:45:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#674100; Package apt. (Fri, 15 Jun 2012 03:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Fri, 15 Jun 2012 03:39:02 GMT) Full text and rfc822 format available.

Message #88 received at 674100@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: 674100@bugs.debian.org
Cc: debian-boot@lists.debian.org, debian-release@lists.debian.org
Subject: Confirmed
Date: Thu, 14 Jun 2012 23:36:42 -0400
Thank you for the fix Milan. I verified that 0.9.6 fixes the problem on 
my testing install. However, this report shouldn't have been downgraded.

Thank you also for applying the fix David, although it would be nice to 
watch credits in the future.
It would also have been nice to upload a new version focusing on this 
bug (and perhaps other important bugs) at high urgency. This needs to 
migrate to testing before dailies and weeklies get usable again. I asked 
the release team to consider urging migration anyway.




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#674100; Package apt. (Sat, 16 Jun 2012 00:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Touko Korpela <touko.korpela@iki.fi>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sat, 16 Jun 2012 00:21:03 GMT) Full text and rfc822 format available.

Message #93 received at 674100@bugs.debian.org (full text, mbox):

From: Touko Korpela <touko.korpela@iki.fi>
To: 674100@bugs.debian.org
Cc: debian-boot@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Confirmed
Date: Sat, 16 Jun 2012 03:18:00 +0300
On Thu, Jun 14, 2012 at 11:36:42PM -0400, Filipus Klutiero wrote:
> Thank you for the fix Milan. I verified that 0.9.6 fixes the problem
> on my testing install. However, this report shouldn't have been
> downgraded.
> 
> Thank you also for applying the fix David, although it would be nice
> to watch credits in the future.
> It would also have been nice to upload a new version focusing on
> this bug (and perhaps other important bugs) at high urgency. This
> needs to migrate to testing before dailies and weeklies get usable
> again. I asked the release team to consider urging migration anyway.

Release team, maybe you should let apt 0.9.6 migrate testing faster so
CD images work again.

(Filipus is maybe still blocked from posting to some lists so this didn't
reach you first)




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#674100; Package apt. (Sat, 16 Jun 2012 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sat, 16 Jun 2012 17:54:04 GMT) Full text and rfc822 format available.

Message #98 received at 674100@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Touko Korpela <touko.korpela@iki.fi>
Cc: 674100@bugs.debian.org, debian-boot@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Confirmed
Date: Sat, 16 Jun 2012 18:50:23 +0100
On Sat, 2012-06-16 at 03:18 +0300, Touko Korpela wrote:
> On Thu, Jun 14, 2012 at 11:36:42PM -0400, Filipus Klutiero wrote:
> > Thank you also for applying the fix David, although it would be nice
> > to watch credits in the future.
> > It would also have been nice to upload a new version focusing on
> > this bug (and perhaps other important bugs) at high urgency. This
> > needs to migrate to testing before dailies and weeklies get usable
> > again. I asked the release team to consider urging migration anyway.
> 
> Release team, maybe you should let apt 0.9.6 migrate testing faster so
> CD images work again.

Aged for the next britney run.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#674100; Package apt. (Tue, 19 Jun 2012 21:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Tue, 19 Jun 2012 21:33:02 GMT) Full text and rfc822 format available.

Message #103 received at 674100@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: 674100@bugs.debian.org, debian-boot@lists.debian.org
Subject: Dailies fixed
Date: Tue, 19 Jun 2012 17:30:44 -0400
apt 0.9.6 migrated to testing on June 17th thanks to hinting from Adam 
D. Barratt. I verified that dailies are finally fixed. I was able to 
install using 
http://cdimage.debian.org/cdimage/daily-builds/daily/20120619-5/i386/iso-cd/debian-testing-i386-netinst.iso
Weeklies may be fixed too (last build was on June 18th).




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#674100; Package apt. (Tue, 19 Jun 2012 22:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Tue, 19 Jun 2012 22:06:04 GMT) Full text and rfc822 format available.

Message #108 received at 674100@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 674100@bugs.debian.org
Cc: debian-boot@lists.debian.org
Subject: Re: Bug#674100: Dailies fixed
Date: Tue, 19 Jun 2012 23:02:20 +0100
On Tue, Jun 19, 2012 at 05:30:44PM -0400, Filipus Klutiero wrote:
>apt 0.9.6 migrated to testing on June 17th thanks to hinting from
>Adam D. Barratt. I verified that dailies are finally fixed. I was
>able to install using http://cdimage.debian.org/cdimage/daily-builds/daily/20120619-5/i386/iso-cd/debian-testing-i386-netinst.iso
>Weeklies may be fixed too (last build was on June 18th).

They are, yes. Tested one yesterday.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"Further comment on how I feel about IBM will appear once I've worked out
 whether they're being malicious or incompetent. Capital letters are forecast."
 Matthew Garrett, http://www.livejournal.com/users/mjg59/30675.html





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 18 Jul 2012 07:25:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:38:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.